<!--
  Generated template for the PublicProfilePage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <ion-title>Profile</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>

  <div class="text-center pad-all-10">
    <div class="alt-avatar-2 user-photo" *ngIf="currentUser.user.avatar != null">
      <img *ngIf="currentUser.user.avatar.startsWith('/')" [src]="url+currentUser.avatar">
      <img *ngIf="currentUser.user.avatar.startsWith('h')" [src]="currentUser.avatar">
    </div>

    <h3>{{currentUser.user.first_name}} {{currentUser.user.last_name}}</h3>
    <p *ngIf="currentUser.user.state">{{currentUser.user.state}}, {{currentUser.user.country}}</p>
    <p>{{currentUser.user.description}}</p>
  </div>
  

  <!-- Reviews -->
  <div (click)="viewReview()" class="pad-sides-10 add-lines">
    <ion-row>
      <ion-col col-6 style="padding-top: 10px;">
        <ionic3-star-rating 
          activeIcon = "ios-star"
          defaultIcon = "ios-star-outline"
          activeColor = "#ffcc00" 
          defaultColor = "#ffcc00"
          readonly="true"
          [rating]="rating">
        </ionic3-star-rating> 
      </ion-col>
      <ion-col col-6>
        <p style="text-align: right;"> View Reviews <ion-icon name="arrow-forward" style="padding-left: 10px;"></ion-icon></p>
      </ion-col>
    </ion-row>
  </div>
    
  <!-- Preferences -->
  <div class="pad-all-10 add-lines">
    <h2>Preferences</h2>
    <ion-item *ngFor="let p of preferences" no-lines>
        <ion-icon *ngIf="p.preference.category == 'Smoking'" 
        name="md-no-smoking"></ion-icon>
        <ion-icon *ngIf="p.preference.category == 'Music'" 
        name="md-musical-notes"></ion-icon>
        <ion-icon *ngIf="p.preference.category == 'Pets'" 
        name="md-paw"></ion-icon>
        <ion-icon *ngIf="p.preference.category == 'Chattiness'" 
        name="chatbubbles"></ion-icon> <span style="margin-left: 10px;">{{p.preference.description}}</span>
    </ion-item>
  </div>

  <!-- Verified Info -->
  <div class="pad-all-10">
    <h2> Verified Info </h2>
    <verified-info></verified-info>
  </div>

</ion-content>
